package com.tanpu.fund.api;

import com.tanpu.common.model.fund.req.IncReportDownloadTimesReq;
import com.tanpu.common.model.product.resp.Net;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Api(tags = "私募基金 PC端")
public interface ProductForPcApi {

    @ApiOperation("获取私募基金最新净值")
    @GetMapping("/get/fund/newnet")
    CommonResp<List<Net>> getFundNewnet(@RequestParam("list") List<String> list);

    @ApiOperation("获取私有基金最新净值")
    @GetMapping("/get/privatefund/newnet")
    CommonResp<List<Net>> getPrivatefundNewnet(@RequestParam("list") List<String> list);

    @ApiOperation("清空标准会员的下载次数")
    @GetMapping("/pdf/standard/empty")
    CommonResp<Void> emptyStandardVipCount(String userId);

    @ApiOperation("增加标准会员的下载次数")
    @GetMapping("/pdf/standard/add")
    CommonResp<Void> addStandardVipCount(String userId);

    /**
     * 增加报告下载次数
     * @param req 请求参数
     * @return 总次数
     */
    @PostMapping("/inner/incReportDownloadTimes")
    CommonResp<Integer> incReportDownloadTimes(@RequestBody IncReportDownloadTimesReq req);
}
