package com.tanpu.fund.controller;

import com.tanpu.common.auth.mapping.TanpuInterfaceLoginAuth;
import com.tanpu.common.model.fund.req.IncReportDownloadTimesReq;
import com.tanpu.common.model.product.resp.Net;
import com.tanpu.common.resp.CommonResp;
import com.tanpu.fund.api.ProductForPcApi;
import com.tanpu.fund.service.DownloadPdfService;
import com.tanpu.fund.service.ProductForPcService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Slf4j
public class ProductForPcController implements ProductForPcApi {
    @Resource
    private ProductForPcService productForPcService;

    @Resource
    private DownloadPdfService downloadPdfService;

    @Override
    public CommonResp<List<Net>> getFundNewnet(List<String> list) {
        return CommonResp.success(productForPcService.getFundNewnet(list));
    }

    @Override
    public CommonResp<List<Net>> getPrivatefundNewnet(List<String> list) {
        return CommonResp.success(productForPcService.getPrivatefundNewnet(list));
    }

    @Override
    public CommonResp<Void> emptyStandardVipCount(String userId) {
        downloadPdfService.emptyStandardVipCount(userId);
        return CommonResp.success();
    }

    @Override
    public CommonResp<Void> addStandardVipCount(String userId) {
        downloadPdfService.addStandardVipCount(userId);
        return CommonResp.success();
    }

    /**
     * 增加报告下载次数
     *
     * @param req 请求参数
     * @return 总次数
     */
    @Override
    @TanpuInterfaceLoginAuth
    public CommonResp<Integer> incReportDownloadTimes(IncReportDownloadTimesReq req) {
        int totalTimes = downloadPdfService.incReportDownloadTimes(req);
        return  CommonResp.success(totalTimes);
    }
}
